package com.ruoyi.cultural.domain.vo;

import com.ruoyi.project.domain.App;
import com.ruoyi.cultural.domain.Cultural;
import com.ruoyi.cultural.domain.CulturalType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文创产品对象vo
 *
 * @author seeseele
 * @date 2024-07-19
 */
@ApiModel(value = "CulturalVo", description = "文创产品对象vo")
public class CulturalVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "展厅id")
    private Long appId;

    @ApiModelProperty(value = "展厅")
    private App app;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "类型id")
    private Long typeId;

    @ApiModelProperty(value = "类型")
    private CulturalType type;

    @ApiModelProperty(value = "状态")
    private Long status;

    public CulturalVo() {
    }

    public CulturalVo(Cultural cultural) {
        this.id = cultural.getId();
        this.userId = cultural.getUserId();
        this.appId = cultural.getAppId();
        this.title = cultural.getTitle();
        this.typeId = cultural.getTypeId();
        this.status = cultural.getStatus();
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public App getApp() {
        return app;
    }

    public void setApp(App app) {
        this.app = app;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public CulturalType getType() {
        return type;
    }

    public void setType(CulturalType type) {
        this.type = type;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("app", getApp())
                .append("title", getTitle())
                .append("type", getType())
                .append("status", getStatus())
                .toString();
    }
}
