package com.ruoyi.cultural.mapper;

import java.util.List;

import com.ruoyi.cultural.domain.CulturalLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 文创产品统计Mapper接口
 *
 * @author seeseele
 * @date 2024-07-22
 */
@Mapper
public interface CulturalLogMapper {

    /**
     * 查询文创产品统计列表
     *
     * @param culturalLog 文创产品统计
     * @return 文创产品统计集合
     */
    List<CulturalLog> selectCulturalLogList(CulturalLog culturalLog);

    /**
     * 查询文创产品统计
     *
     * @param id 文创产品统计主键
     * @return 文创产品统计
     */
    CulturalLog selectCulturalLogById(Long id);

    /**
     * 根据用户id和类型id查询文创产品统计
     *
     * @return 文创产品统计
     */
    CulturalLog selectCulturalLogByUserIdAndTypeId(@Param("userId") Long userId, @Param("typeId") Long typeId);

    /**
     * 新增文创产品统计
     *
     * @param culturalLog 文创产品统计
     * @return 结果
     */
    int insertCulturalLog(CulturalLog culturalLog);

    /**
     * 修改文创产品统计
     *
     * @param culturalLog 文创产品统计
     * @return 结果
     */
    int updateCulturalLog(CulturalLog culturalLog);

}
