package com.ruoyi.cultural.mapper;

import java.util.List;

import com.ruoyi.cultural.domain.Cultural;
import org.apache.ibatis.annotations.Mapper;

/**
 * 文创产品Mapper接口
 *
 * @author seeseele
 * @date 2024-07-19
 */
@Mapper
public interface CulturalMapper {

    /**
     * 查询文创产品列表
     *
     * @param cultural 文创产品
     * @return 文创产品集合
     */
    List<Cultural> selectCulturalList(Cultural cultural);

    /**
     * 查询所有文创产品列表
     *
     * @param cultural 文创产品
     * @return 文创产品集合
     */
    List<Cultural> selectCulturalAllList(Cultural cultural);

    /**
     * 查询文创产品
     *
     * @param id 文创产品主键
     * @return 文创产品
     */
    Cultural selectCulturalById(Long id);

    /**
     * 新增文创产品
     *
     * @param cultural 文创产品
     * @return 结果
     */
    int insertCultural(Cultural cultural);

    /**
     * 修改文创产品
     *
     * @param cultural 文创产品
     * @return 结果
     */
    int updateCultural(Cultural cultural);

    /**
     * 删除文创产品
     *
     * @param id 文创产品主键
     * @return 结果
     */
    int deleteCulturalById(Long id);

    /**
     * 批量删除文创产品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCulturalByIds(Long[] ids);

}
