package com.ruoyi.cultural.mapper;

import java.util.List;

import com.ruoyi.cultural.domain.CulturalType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 文创产品类别Mapper接口
 *
 * @author seeseele
 * @date 2024-07-19
 */
@Mapper
public interface CulturalTypeMapper {

    /**
     * 查询文创产品类别列表
     *
     * @param culturalType 文创产品类别
     * @return 文创产品类别集合
     */
    List<CulturalType> selectCulturalTypeList(CulturalType culturalType);

    /**
     * 查询文创产品类别列表
     *
     * @param culturalType 文创产品类别
     * @return 文创产品类别集合
     */
    List<CulturalType> selectCulturalTypeAllList(CulturalType culturalType);

    /**
     * 查询文创产品类别
     *
     * @param id 文创产品类别主键
     * @return 文创产品类别
     */
    CulturalType selectCulturalTypeById(Long id);

    /**
     * 新增文创产品类别
     *
     * @param culturalType 文创产品类别
     * @return 结果
     */
    int insertCulturalType(CulturalType culturalType);

    /**
     * 修改文创产品类别
     *
     * @param culturalType 文创产品类别
     * @return 结果
     */
    int updateCulturalType(CulturalType culturalType);

    /**
     * 删除文创产品类别
     *
     * @param id 文创产品类别主键
     * @return 结果
     */
    int deleteCulturalTypeById(Long id);

    /**
     * 批量删除文创产品类别
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCulturalTypeByIds(Long[] ids);

}
