package com.ruoyi.cultural.service;

import java.util.List;

import com.ruoyi.cultural.domain.CulturalLog;
import com.ruoyi.cultural.domain.vo.CulturalLogVo;

/**
 * 文创产品统计Service接口
 *
 * @author seeseele
 * @date 2024-07-22
 */
public interface ICulturalLogService {

    /**
     * 查询文创产品统计列表
     *
     * @param culturalLog 文创产品统计
     * @return 文创产品统计集合
     */
    List<CulturalLogVo> selectCulturalLogList(CulturalLog culturalLog);

    /**
     * 查询文创产品统计
     *
     * @param id 文创产品统计主键
     * @return 文创产品统计
     */
    CulturalLogVo selectCulturalLogById(Long id);

    /**
     * 新增文创产品统计
     *
     * @param culturalLog 文创产品统计
     * @return 结果
     */
    boolean insertCulturalLog(CulturalLog culturalLog);

    /**
     * 修改文创产品统计
     *
     * @param culturalLog 文创产品统计
     * @return 结果
     */
    boolean updateCulturalLog(CulturalLog culturalLog);

}
