package com.ruoyi.cultural.service;

import java.util.List;

import com.ruoyi.cultural.domain.CulturalType;

/**
 * 文创产品类别Service接口
 *
 * @author seeseele
 * @date 2024-07-19
 */
public interface ICulturalTypeService {

    /**
     * 查询文创产品类别列表
     *
     * @param culturalType 文创产品类别
     * @return 文创产品类别集合
     */
    List<CulturalType> selectCulturalTypeList(CulturalType culturalType);

    /**
     * 查询所有文创产品类别列表
     *
     * @param culturalType 文创产品类别
     * @return 文创产品类别集合
     */
    List<CulturalType> selectCulturalTypeAllList(CulturalType culturalType);

    /**
     * 查询文创产品类别
     *
     * @param id 文创产品类别主键
     * @return 文创产品类别
     */
    CulturalType selectCulturalTypeById(Long id);

    /**
     * 新增文创产品类别
     *
     * @param culturalType 文创产品类别
     * @return 结果
     */
    boolean insertCulturalType(CulturalType culturalType);

    /**
     * 修改文创产品类别
     *
     * @param culturalType 文创产品类别
     * @return 结果
     */
    boolean updateCulturalType(CulturalType culturalType);

    /**
     * 批量删除文创产品类别
     *
     * @param ids 需要删除的文创产品类别主键集合
     * @return 结果
     */
    boolean deleteCulturalTypeByIds(Long[] ids);

    /**
     * 删除文创产品类别信息
     *
     * @param id 文创产品类别主键
     * @return 结果
     */
    boolean deleteCulturalTypeById(Long id);

}
