package com.ruoyi.project.controller;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.project.service.IBalanceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;

/**
 * 用户余额Controller
 *
 * @author seeseele
 * @date 2024-05-09
 */
@Api(tags = "用户余额模块")
@RestController
@RequestMapping("/vrone/backend/recharges")
public class BalanceController {

    private final IBalanceService balanceService;

    public BalanceController(@Qualifier("balanceServiceImplement") IBalanceService balanceService) {
        this.balanceService = balanceService;
    }

    @Anonymous
    @PostMapping()
    @ApiOperation(value = "用户充值", notes = "传参为jsonObject，jsonObject里包含userId（用户id）,recharge（充值金额）,paymentMethod（充值方式）")
    public AjaxResult recharge(@RequestBody JSONObject jsonObject) {
        Long userId = jsonObject.getLong("userId");
        BigDecimal recharge = jsonObject.getBigDecimal("recharge");
        Integer paymentMethod = jsonObject.getInteger("paymentMethod");

        return balanceService.recharge(userId, recharge, paymentMethod);
    }

}
