package com.ruoyi.project.controller;

import com.alibaba.fastjson2.JSONObject;
import com.qiniu.common.QiniuException;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.project.service.IQiniuService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;


@Api(tags = "七牛云文件上传模块")
@RestController
@RequestMapping("/vrone/backend/QiniuUpload")
public class QiniuUploadController {

    private final IQiniuService qiniuService;

    public QiniuUploadController(@Qualifier("qiniuServiceImplement") IQiniuService qiniuService) {
        this.qiniuService = qiniuService;
    }

    @Anonymous
    @GetMapping("/uptoken")
    @ApiOperation(value = "获取上传token")
    public JSONObject getUpToken() {
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("uptoken", qiniuService.getUploadToken());
        return jsonObject;
    }

    @Anonymous
    @PostMapping("/upload")
    @ApiOperation(value = "上传到七牛云的文件夹目录下", notes = "传参为file(文件）, directory(文件目录）")
    public AjaxResult upload(@RequestParam("file") MultipartFile file, @RequestParam("directory") String directory) throws QiniuException {
        return qiniuService.upload(file, directory);
    }

//    @Anonymous
//    @PostMapping("/image")
//    @ApiOperation(value = "上传到七牛云的image文件夹目录下", notes = "传参为file(文件）")
//    public AjaxResult uploadImage(@RequestParam("file") MultipartFile file) throws QiniuException {
//        return qiniuService.breakpointUpload(file, "image/");//断点上传
//    }
//
//    @Anonymous
//    @PostMapping("/video")
//    @ApiOperation(value = "上传到七牛云的video文件夹目录下", notes = "传参为file(文件）")
//    public AjaxResult uploadVideo(@RequestParam("file") MultipartFile file) throws QiniuException {
//        return qiniuService.breakpointUpload(file, "video/");//断点上传
//    }

    @Anonymous
    @DeleteMapping("/deleteUpload")
    @ApiOperation(value = "通过url删除七牛云中的文件", notes = "传参为json，json中包含url（需要删除的url）")
    public AjaxResult deleteUpload(@RequestBody JSONObject jsonObject) throws QiniuException {
        String url = jsonObject.getString("url");

        return qiniuService.deleteFile(url);
    }
}
