package com.ruoyi.project.controller;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.HashMap;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

@RestController
@RequestMapping("/vrone/backend/test")
public class TikaTestController {
//
//    @Autowired
//    private Tika tika;

    /**
     * 文件校验
     */
    @Anonymous
    @PostMapping("/import")
    public void importExcel(MultipartFile file) {
        String fileName = file.getOriginalFilename();
//        FileTypeCheckUtil.getFileTypeByFileName(fileName, file);
    }

    /**
     * Apache tika
     * 轻松实现各种文档内容解析和校验
     */
    @Anonymous
    @PostMapping("/getTika")
    public AjaxResult getTika(@RequestBody JSONObject jsonObject) {
        String w = jsonObject.getString("w");
        String j = jsonObject.getString("j");
        Path path = Paths.get(w, j);
        try{
//            Path path = Paths.get("/usr/local/nginx/logs", "access.log");
//            String back = tika.parseToString(path.toFile());
            System.out.println("校验文件：");
//            System.out.println(back);

            String logContent = "192.168.1.1 - - [10/Oct/2023:13:55:36 +0000] \"GET /index.html HTTP/1.1\" 200 1234 \"-\" \"Mozilla/5.0\"";
            analyzeLogFile(logContent);
return null;
//            return AjaxResult.success(tika.parseToString(path.toFile()));
        }catch (Exception e){
            AjaxResult ajaxResult = new AjaxResult();
            ajaxResult.put("tos", e.toString());
            ajaxResult.put("mes", e.getMessage());
            return ajaxResult;
        }
    }

    private static final Pattern LOG_PATTERN = Pattern.compile(
            "(\\S+) (\\S+) (\\S+) \\[([\\w:/]+\\s[+\\-]\\d{4})] \"(\\S+) (\\S+) (\\S+)\" (\\d{3}) (\\S+)"
    );

    /**
     * 分析日志文件内容
     *
     * @param logContent 日志文件的内容，多行日志条目文本
     */
    public static void analyzeLogFile(String logContent) {
        // 将日志内容按行分割成多个日志条目
        String[] lines = logContent.split("\n");
        // 使用HashMap存储每个请求的次数
        Map<String, Integer> requestCounts = new HashMap<>();
        // 使用HashMap存储每个IP地址的访问次数
        Map<String, Integer> ipCounts = new HashMap<>();

        // 遍历所有日志条目
        for (String line : lines) {
            // 使用正则表达式匹配日志条目中的相关信息
            Matcher matcher = LOG_PATTERN.matcher(line);
            // 如果找到匹配项
            if (matcher.find()) {
                // 提取匹配到的IP地址、请求方法、URL和状态码
                String ipAddress = matcher.group(1);
                String method = matcher.group(5);
                String url = matcher.group(6);
                int statusCode = Integer.parseInt(matcher.group(8));

                // 统计请求次数
                // 构造一个唯一的键，由请求方法和URL组成
                String key = method + " " + url;
                // 如果请求计数Map中已存在该键，则在现有值的基础上加1；否则插入新键值对，值为1
                requestCounts.put(key, requestCounts.getOrDefault(key, 0) + 1);

                // 统计IP访问次数
                // 如果IP计数Map中已存在该IP地址，则在现有值的基础上加1；否则插入新键值对，值为1
                ipCounts.put(ipAddress, ipCounts.getOrDefault(ipAddress, 0) + 1);
            }
        }

        // 输出请求统计结果
        System.out.println("请求统计：");
        // 遍历请求计数Map并打印每个请求的次数
        for (Map.Entry<String, Integer> entry : requestCounts.entrySet()) {
            System.out.println(entry.getKey() + ": " + entry.getValue());
        }

        // 输出IP访问统计结果
        System.out.println("IP访问统计：");
        // 遍历IP计数Map并打印每个IP地址的访问次数
        for (Map.Entry<String, Integer> entry : ipCounts.entrySet()) {
            System.out.println(entry.getKey() + ": " + entry.getValue());
        }
    }


}
