package com.ruoyi.project.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 充值记录对象 vr_transactions
 *
 * @author seeseele
 * @date 2024-07-10
 */
public class Transactions extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 自增id
     */
    private Long id;

    /**
     * 用户id
     */
    @Excel(name = " 用户id")
    private Long userId;

    @Excel(name = "订单id")
    private Long orderId;

    @Excel(name = "平台类型")
    private Long orderType;

    /**
     * 支付金额
     */
    @Excel(name = "支付金额")
    private BigDecimal recharge;

    /**
     * 余额
     */
    @Excel(name = "余额")
    private BigDecimal money;

    /**
     * 支付方式 1银行转账 2支付宝 3微信 4账户余额
     */
    @Excel(name = "支付方式 1银行转账 2支付宝 3微信 4账户余额")
    private Integer paymentMethod;

    /**
     * 支付备注
     */
    @Excel(name = "支付备注")
    private String mark;

    /**
     * 支付类型 0余额充值 1购买模板 2其他
     */
    @Excel(name = "支付类型 0余额充值 1购买模板 2其他")
    private Integer paymentType;

    @ApiModelProperty(value = "状态 0未完成 1已完成")
    private Integer status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getOrderType() {
        return orderType;
    }

    public void setOrderType(Long orderType) {
        this.orderType = orderType;
    }

    public void setRecharge(BigDecimal recharge) {
        this.recharge = recharge;
    }

    public BigDecimal getRecharge() {
        return recharge;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setPaymentMethod(Integer paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public Integer getPaymentMethod() {
        return paymentMethod;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getMark() {
        return mark;
    }

    public void setPaymentType(Integer paymentType) {
        this.paymentType = paymentType;
    }

    public Integer getPaymentType() {
        return paymentType;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("orderId", getOrderId())
                .append("orderType", getOrderType())
                .append("recharge", getRecharge())
                .append("money", getMoney())
                .append("paymentMethod", getPaymentMethod())
                .append("mark", getMark())
                .append("paymentType", getPaymentType())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
