package com.ruoyi.project.domain.vo;


import com.ruoyi.project.domain.App;
import com.ruoyi.project.domain.VrUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 展厅对象vo vr_app
 *
 * @author seeseele
 * @date 2024-05-09
 */
@ApiModel(value = "AppVo", description = "展厅对象vo")
public class AppVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户头像")
    private String userAvatar;

    @ApiModelProperty(value = "用户电话")
    private String phone;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "缩略图")
    private String cover;

    @ApiModelProperty(value = "视频")
    private String video;

    @ApiModelProperty(value = "浏览量")
    private Long viewCount;

    @ApiModelProperty(value = "简介")
    private String introduction;

    @ApiModelProperty(value = "状态（-1不展示，0审核，1展示，2打回）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public String getVideo() {
        return video;
    }

    public void setVideo(String video) {
        this.video = video;
    }

    public Long getViewCount() {
        return viewCount;
    }

    public void setViewCount(Long viewCount) {
        this.viewCount = viewCount;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public AppVo() {
    }

    public AppVo(App app, VrUser user) {
        this.id = app.getId();
        this.userId = app.getUserId();
        this.userName = user != null ? user.getUserName() : null;
        this.userAvatar = user != null ? user.getAvatar() : null;
        this.phone = user != null ? user.getPhone() : null;
        this.title = app.getTitle();
        this.icon = app.getIcon();
        this.cover = app.getCover();
        this.video = app.getVideo();
        this.viewCount = app.getViewCount();
        this.introduction = app.getIntroduction();
        this.status = app.getStatus();
        this.createTime = app.getCreateTime();
        this.updateTime = app.getUpdateTime();
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("userAvatar", getUserAvatar())
                .append("phone", getPhone())
                .append("title", getTitle())
                .append("icon", getIcon())
                .append("cover", getCover())
                .append("video", getVideo())
                .append("viewCount", getViewCount())
                .append("introduction", getIntroduction())
                .append("status", getStatus())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
