package com.ruoyi.project.domain.vo;

import com.ruoyi.project.domain.DataSource;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;


public class DataSourceVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "展厅id")
    private Long appId;

    @ApiModelProperty(value = "数据源标题")
    private String title;

    @ApiModelProperty(value = "展示点")
    private String spot;

    @ApiModelProperty(value = "数据类型")
    private Long type;

    @ApiModelProperty(value = "数据id")
    private Long dataId;

    @ApiModelProperty(value = "数据url")
    private String url;

    @ApiModelProperty(value = "封面url")
    private String cover;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSpot() {
        return spot;
    }

    public void setSpot(String spot) {
        this.spot = spot;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public Long getDataId() {
        return dataId;
    }

    public void setDataId(Long dataId) {
        this.dataId = dataId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCover() {
        return cover;
    }

    public void setCover(String cover) {
        this.cover = cover;
    }

    public DataSourceVo() {
    }

    public DataSourceVo(DataSource dataSource) {
        this.id = dataSource.getId();
        this.appId = dataSource.getAppId();
        this.title = dataSource.getTitle();
        this.spot = dataSource.getSpot();
        this.type = dataSource.getType();
    }

    public DataSourceVo(DataSource dataSource, String url, String cover) {
        this.id = dataSource.getId();
        this.appId = dataSource.getAppId();
        this.title = dataSource.getTitle();
        this.spot = dataSource.getSpot();
        this.type = dataSource.getType();
        this.url = url;
        this.cover = cover;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("appId", getAppId())
                .append("title", getTitle())
                .append("spot", getSpot())
                .append("type", getType())
                .append("dataId", getDataId())
                .append("url", getUrl())
                .append("cover", getCover())
                .toString();
    }
}
