package com.ruoyi.project.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.project.domain.Favorites;
import com.ruoyi.project.domain.Template;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class FavoritesVo {

    @ApiModelProperty(value = "收藏ID")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "商品ID")
    private Long templateId;

    @ApiModelProperty(value = "模板")
    private Template template;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    public FavoritesVo() {
    }

    public FavoritesVo(Favorites favorites, Template template) {
        this.updateTime = favorites.getUpdateTime();
        this.createTime = favorites.getCreateTime();
        this.status = favorites.getStatus();
        this.id = favorites.getId();
        this.templateId = favorites.getTemplateId();
        this.userId = favorites.getUserId();
        this.template = template;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Template getTemplate() {
        return template;
    }

    public void setTemplate(Template template) {
        this.template = template;
    }
}
