package com.ruoyi.project.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.project.domain.OrderDetails;
import com.ruoyi.project.domain.Orders;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

public class OrderVo {

    @ApiModelProperty(value = "订单ID")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "下单日期，默认值为当前时间")
    private Date orderDate;

    @ApiModelProperty(value = "状态只能'0','1', '2', '3'中的一个，分别代表待处理、已发货、已交付、已取消的状态。")
    private Integer orderStatus;

    @ApiModelProperty(value = "退款状态。默认0(未申请)，1(已申请),2(已处理)")
    private String refundStatus;

    @ApiModelProperty(value = "退款日期。记录退款处理的确切时间。")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date refundDate;

    public OrderVo() {
    }

    public OrderVo(Orders orders, List<OrderDetails> orderDetailsList) {
        this.id = orders.getId();
        this.userId = orders.getUserId();
        this.totalAmount = orders.getTotalAmount();
        this.orderDate = orders.getOrderDate();
        this.orderStatus = orders.getOrderStatus();
        this.refundDate = orders.getRefundDate();
        this.orderDetailsList = orderDetailsList;
        this.refundStatus = orders.getRefundStatus();
    }


    private List<OrderDetails> orderDetailsList;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setOrderDate(Date orderDate) {
        this.orderDate = orderDate;
    }

    public Date getOrderDate() {
        return orderDate;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundDate(Date refundDate) {
        this.refundDate = refundDate;
    }

    public Date getRefundDate() {
        return refundDate;
    }

    public List<OrderDetails> getOrderDetailsList() {
        return orderDetailsList;
    }

    public void setOrderDetailsList(List<OrderDetails> orderDetailsList) {
        this.orderDetailsList = orderDetailsList;
    }


}
