package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.sourceData.AlbumData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 相册数据Mapper接口
 *
 * @author seeseele
 * @date 2024-05-09
 */
@Mapper
public interface AlbumDataMapper {
    /**
     * 查询图片数据列表
     *
     * @param albumData 图片数据
     * @return 图片数据集合
     */
    List<AlbumData> selectAlbumDataList(AlbumData albumData);

    /**
     * 查询图片数据
     *
     * @param id 图片数据主键
     * @return 图片数据
     */
    AlbumData selectAlbumDataById(Long id);

    /**
     * 根据数据源id查询视频数据
     *
     * @param dataSourceId 数据源主键
     * @return 视频数据
     */
    AlbumData selectAlbumDataByDataSourceId(Long dataSourceId);

    /**
     * 新增图片数据
     *
     * @param albumData 图片数据
     * @return 结果
     */
    int insertAlbumData(AlbumData albumData);

    /**
     * 修改图片数据
     *
     * @param albumData 图片数据
     * @return 结果
     */
    int updateAlbumData(AlbumData albumData);

    /**
     * 删除图片数据
     *
     * @param id 图片数据主键
     * @return 结果
     */
    int deleteAlbumDataById(Long id);

    /**
     * 批量删除图片数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAlbumDataByIds(Long[] ids);
}
