package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.Article;
import org.apache.ibatis.annotations.Mapper;

/**
 * 文章Mapper接口
 *
 * @author seeseele
 * @date 2024-06-09
 */
@Mapper
public interface ArticleMapper {

    /**
     * 查询文章
     *
     * @param id 文章主键
     * @return 文章
     */
    Article selectArticleById(Long id);

    /**
     * 查询文章列表
     *
     * @param article 文章
     * @return 文章集合
     */
    List<Article> selectArticleList(Article article);

    /**
     * 新增文章
     *
     * @param article 文章
     * @return 结果
     */
    int insertArticle(Article article);

    /**
     * 修改文章
     *
     * @param article 文章
     * @return 结果
     */
    int updateArticle(Article article);

    /**
     * 删除文章
     * @param id 文章id
     * @return
     */
    int deleteArticleById(Long id);
}
