package com.ruoyi.project.mapper;

import java.util.List;
import com.ruoyi.project.domain.DataType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 数据类型Mapper接口
 * 
 * @author seeseele
 * @date 2024-05-09
 */
@Mapper
public interface DataTypeMapper 
{
    /**
     * 查询数据类型
     * 
     * @param id 数据类型主键
     * @return 数据类型
     */
    DataType selectDataTypeById(Long id);

    /**
     * 查询数据类型列表
     * 
     * @param dataType 数据类型
     * @return 数据类型集合
     */
     List<DataType> selectDataTypeList(DataType dataType);

    /**
     * 新增数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    int insertDataType(DataType dataType);

    /**
     * 修改数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    int updateDataType(DataType dataType);

    /**
     * 删除数据类型
     * 
     * @param id 数据类型主键
     * @return 结果
     */
    int deleteDataTypeById(Long id);

    /**
     * 批量删除数据类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDataTypeByIds(Long[] ids);
}
