package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.Favorites;
import org.apache.ibatis.annotations.Mapper;

/**
 * 收藏夹Mapper接口
 *
 * @author seeseele
 * @date 2025-02-26
 */
@Mapper
public interface FavoritesMapper {

    /**
     * 查询收藏夹
     *
     * @param id 收藏夹主键
     * @return 收藏夹
     */
    Favorites selectFavoritesById(Long id);

    /**
     * 查询收藏夹列表
     *
     * @param favorites 收藏夹
     * @return 收藏夹集合
     */
    List<Favorites> selectFavoritesList(Favorites favorites);

    /**
     * 新增收藏夹
     *
     * @param favorites 收藏夹
     * @return 结果
     */
    int insertFavorites(Favorites favorites);

    /**
     * 修改收藏夹
     *
     * @param favorites 收藏夹
     * @return 结果
     */
    int updateFavorites(Favorites favorites);

    /**
     * 删除收藏夹
     *
     * @param id 收藏夹主键
     * @return 结果
     */
    int deleteFavoritesById(Long id);

    /**
     * 批量删除收藏夹
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFavoritesByIds(Long[] ids);

}
