package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.Feedback;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户反馈Mapper接口
 *
 * @author seeseele
 * @date 2025-02-24
 */
@Mapper
public interface FeedbackMapper {

    /**
     * 查询用户反馈
     *
     * @param id 用户反馈主键
     * @return 用户反馈
     */
    Feedback selectFeedbackById(Long id);

    /**
     * 查询用户反馈列表
     *
     * @param feedback 用户反馈
     * @return 用户反馈集合
     */
    List<Feedback> selectFeedbackList(Feedback feedback);

    /**
     * 新增用户反馈
     *
     * @param feedback 用户反馈
     * @return 结果
     */
    int insertFeedback(Feedback feedback);

    /**
     * 修改用户反馈
     *
     * @param feedback 用户反馈
     * @return 结果
     */
    int updateFeedback(Feedback feedback);

    /**
     * 删除用户反馈
     *
     * @param id 用户反馈主键
     * @return 结果
     */
    int deleteFeedbackById(Long id);

    /**
     * 批量删除用户反馈
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFeedbackByIds(Long[] ids);

}
