package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.FeedbackType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 用户反馈类型Mapper接口
 *
 * @author seeseele
 * @date 2025-02-24
 */
@Mapper
public interface FeedbackTypeMapper {

    /**
     * 查询用户反馈类型
     *
     * @param id 用户反馈类型主键
     * @return 用户反馈类型
     */
    FeedbackType selectFeedbackTypeById(Long id);

    /**
     * 查询用户反馈类型列表
     *
     * @param feedbackType 用户反馈类型
     * @return 用户反馈类型集合
     */
    List<FeedbackType> selectFeedbackTypeList(FeedbackType feedbackType);

    /**
     * 新增用户反馈类型
     *
     * @param feedbackType 用户反馈类型
     * @return 结果
     */
    int insertFeedbackType(FeedbackType feedbackType);

    /**
     * 修改用户反馈类型
     *
     * @param feedbackType 用户反馈类型
     * @return 结果
     */
    int updateFeedbackType(FeedbackType feedbackType);

    /**
     * 删除用户反馈类型
     *
     * @param id 用户反馈类型主键
     * @return 结果
     */
    int deleteFeedbackTypeById(Long id);

    /**
     * 批量删除用户反馈类型
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteFeedbackTypeByIds(Long[] ids);

}
