package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.sourceData.LinkData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 超链接数据Mapper接口
 *
 * @author seeseele
 * @date 2024-05-09
 */
@Mapper
public interface LinkDataMapper {
    /**
     * 查询图片数据列表
     *
     * @param linkData 图片数据
     * @return 图片数据集合
     */
    List<LinkData> selectLinkDataList(LinkData linkData);

    /**
     * 查询图片数据
     *
     * @param id 图片数据主键
     * @return 图片数据
     */
    LinkData selectLinkDataById(Long id);

    /**
     * 根据数据源id查询视频数据
     *
     * @param dataSourceId 数据源主键
     * @return 视频数据
     */
    LinkData selectLinkDataByDataSourceId(Long dataSourceId);

    /**
     * 新增图片数据
     *
     * @param linkData 图片数据
     * @return 结果
     */
    int insertLinkData(LinkData linkData);

    /**
     * 修改图片数据
     *
     * @param linkData 图片数据
     * @return 结果
     */
    int updateLinkData(LinkData linkData);

    /**
     * 删除图片数据
     *
     * @param id 图片数据主键
     * @return 结果
     */
    int deleteLinkDataById(Long id);

    /**
     * 批量删除图片数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteLinkDataByIds(Long[] ids);
}
