package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.sourceData.ModelData;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 模型数据Mapper接口
 *
 * @author seeseele
 * @date 2024-05-09
 */
@Mapper
public interface ModelDataMapper {
    /**
     * 查询图片数据列表
     *
     * @param modelData 图片数据
     * @return 图片数据集合
     */
    List<ModelData> selectModelDataList(ModelData modelData);

    /**
     * 查询图片数据
     *
     * @param id 图片数据主键
     * @return 图片数据
     */
    ModelData selectModelDataById(Long id);

    /**
     * 根据数据源id查询视频数据
     *
     * @param dataSourceId 数据源主键
     * @return 视频数据
     */
    ModelData selectModelDataByDataSourceId(Long dataSourceId);

    /**
     * 新增图片数据
     *
     * @param modelData 图片数据
     * @return 结果
     */
    int insertModelData(ModelData modelData);

    /**
     * 修改图片数据
     *
     * @param modelData 图片数据
     * @return 结果
     */
    int updateModelData(ModelData modelData);

    /**
     * 删除图片数据
     *
     * @param id 图片数据主键
     * @return 结果
     */
    int deleteModelDataById(Long id);

    /**
     * 批量删除图片数据
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteModelDataByIds(Long[] ids);
}
