package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.NoticeLog;
import org.apache.ibatis.annotations.Mapper;

/**
 * 通知记录Mapper接口
 *
 * @author seeseele
 * @date 2025-02-24
 */
@Mapper
public interface NoticeLogMapper {

    /**
     * 查询通知记录
     *
     * @param id 通知记录主键
     * @return 通知记录
     */
    NoticeLog selectNoticeLogById(Long id);

    /**
     * 查询通知记录列表
     *
     * @param noticeLog 通知记录
     * @return 通知记录集合
     */
    List<NoticeLog> selectNoticeLogList(NoticeLog noticeLog);

    /**
     * 查询通知记录列表
     *
     * @return 通知记录集合
     */
    List<NoticeLog> selectNoticeLogListByUserId(Long userId);

    /**
     * 新增通知记录
     *
     * @param noticeLog 通知记录
     * @return 结果
     */
    int insertNoticeLog(NoticeLog noticeLog);

    /**
     * 修改通知记录
     *
     * @param noticeLog 通知记录
     * @return 结果
     */
    int updateNoticeLog(NoticeLog noticeLog);

    /**
     * 删除通知记录
     *
     * @param id 通知记录主键
     * @return 结果
     */
    int deleteNoticeLogById(Long id);

    /**
     * 批量删除通知记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteNoticeLogByIds(Long[] ids);
}
