package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.Notice;
import org.apache.ibatis.annotations.Mapper;

/**
 * 通知Mapper接口
 *
 * @author seeseele
 * @date 2024-06-09
 */
@Mapper
public interface NoticeMapper {

    /**
     * 查询通知表列
     *
     * @param notice 通知
     * @return 通知集合
     */
    List<Notice> selectNoticeList(Notice notice);

    /**
     * 查询通知表列
     *
     * @return 通知集合
     */
    List<Notice> selectNoticeListOrderByTime();

    /**
     * 查询通知
     *
     * @param id 通知主键
     * @return 通知
     */
    Notice selectNoticeById(Long id);

    /**
     * 新增通知
     *
     * @param notice 通知
     * @return 结果
     */
    int insertNotice(Notice notice);

    /**
     * 修改通知
     *
     * @param notice 通知
     * @return 结果
     */
    int updateNotice(Notice notice);

    /**
     * 删除通知
     * @param id 通知id
     * @return
     */
    boolean deleteNotice(Long id);
}
