package com.ruoyi.project.mapper;

import java.util.List;
import com.ruoyi.project.domain.NoticeType;
import org.apache.ibatis.annotations.Mapper;

/**
 * 通知类型Mapper接口
 * 
 * @author seeseele
 * @date 2025-02-24
 */
@Mapper
public interface NoticeTypeMapper 
{

    /**
     * 查询通知类型
     * 
     * @param id 通知类型主键
     * @return 通知类型
     */
    NoticeType selectNoticeTypeById(Long id);

    /**
     * 查询通知类型列表
     * 
     * @param noticeType 通知类型
     * @return 通知类型集合
     */
    List<NoticeType> selectNoticeTypeList(NoticeType noticeType);

    /**
     * 新增通知类型
     * 
     * @param noticeType 通知类型
     * @return 结果
     */
    int insertNoticeType(NoticeType noticeType);

    /**
     * 修改通知类型
     * 
     * @param noticeType 通知类型
     * @return 结果
     */
    int updateNoticeType(NoticeType noticeType);

    /**
     * 删除通知类型
     * 
     * @param id 通知类型主键
     * @return 结果
     */
    int deleteNoticeTypeById(Long id);

    /**
     * 批量删除通知类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteNoticeTypeByIds(Long[] ids);
}
