package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.Orders;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 订单Mapper接口
 *
 * @author seeseele
 * @date 2025-02-26
 */
@Mapper
public interface OrdersMapper {

    /**
     * 查询订单
     *
     * @param id 订单主键
     * @return 订单
     */
    Orders selectOrdersById(Long id);

    /**
     * 查询订单列表
     *
     * @param orders 订单
     * @return 订单集合
     */
    List<Orders> selectOrdersList(Orders orders);

    /**
     * 新增订单
     *
     * @param orders 订单
     * @return 结果
     */
    int insertOrders(Orders orders);

    /**
     * 批量插入数据
     */
    int insertOrdersDataList(List<Orders> dataList);

    /**
     * 修改订单
     *
     * @param orders 订单
     * @return 结果
     */
    int updateOrders(Orders orders);

    /**
     * 删除订单
     *
     * @param id 订单主键
     * @return 结果
     */
    int deleteOrdersById(Long id);

    /**
     * 批量删除订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteOrdersByIds(Long[] ids);
}
