package com.ruoyi.project.mapper;

import com.ruoyi.project.domain.Template;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 展厅模板Mapper接口
 *
 * @author seeseele
 * @date 2024-05-09
 */
@Mapper
public interface TemplateMapper {

    /**
     * 查询展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板集合
     */
    List<Template> selectTemplateList(Template template);

    /**
     * 查询展示的展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板集合
     */
    List<Template> selectShowTemplateList(Template template);

    /**
     * 查询展厅模板列表
     *
     * @return 展厅模板集合
     */
    List<Template> selectTemplateListOrderByView();

    /**
     * 查询展厅模板
     *
     * @param id 展厅模板主键
     * @return 展厅模板
     */
    Template selectTemplateById(Long id);

    /**
     * 新增展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    int insertTemplate(Template template);

    /**
     * 修改展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    int updateTemplate(Template template);

    /**
     * 删除展厅模板
     *
     * @param id 展厅模板主键
     * @return 结果
     */
    int deleteTemplateById(Long id);

    /**
     * 批量删除展厅模板
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTemplateByIds(Long[] ids);

}
