package com.ruoyi.project.mapper;

import java.util.List;

import com.ruoyi.project.domain.Transactions;
import org.apache.ibatis.annotations.Mapper;

/**
 * 充值记录Mapper接口
 *
 * @author seeseele
 * @date 2024-07-10
 */
@Mapper
public interface TransactionsMapper {
    /**
     * 查询充值记录列表
     *
     * @param transactions 充值记录
     * @return 充值记录集合
     */
    List<Transactions> selectTransactionsList(Transactions transactions);

    /**
     * 查询充值记录列表
     *
     * @return 充值记录集合
     */
    List<Transactions> selectTransactionsListByToday(String time);

    /**
     * 查询充值记录列表
     *
     * @return 充值记录集合
     */
    List<Transactions> selectTransactionsListByWeek(String time);

    /**
     * 查询充值记录列表
     *
     * @return 充值记录集合
     */
    List<Transactions> selectTransactionsListByMonth(String time);

    /**
     * 查询充值记录列表
     *
     * @return 充值记录集合
     */
    List<Transactions> selectTransactionsListByYear(String time);

    /**
     * 查询充值记录
     *
     * @param id 充值记录主键
     * @return 充值记录
     */
    Transactions selectTransactionsById(Long id);

    /**
     * 新增充值记录
     *
     * @param transactions 充值记录
     * @return 结果
     */
    int insertTransactions(Transactions transactions);

    /**
     * 修改充值记录
     *
     * @param transactions 充值记录
     * @return 结果
     */
    int updateTransactions(Transactions transactions);

}
