package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.App;
import com.ruoyi.project.domain.vo.AppVo;

/**
 * 展厅Service接口
 *
 * @author seeseele
 * @date 2024-05-09
 */
public interface IAppService {

    /**
     * 查询展厅vo列表
     *
     * @param app 展厅
     * @return 展厅vo
     */
    List<AppVo> selectAppVoList(App app);

    /**
     * 查询用于展示的展厅vo列表
     *
     * @param app 展厅
     * @return 展厅vo
     */
    List<AppVo> selectShowAppVoList(App app);

    /**
     * 根据用户id查询展厅列表
     *
     * @param userId 用户id
     * @return 展厅
     */
    List<App> selectAppListByUserId(Long userId);

    /**
     * 查询展厅vo
     *
     * @param id 展厅主键
     * @return 展厅vo
     */
    AppVo selectAppVoById(Long id);

    /**
     * 新增展厅
     *
     * @param app 展厅
     * @return 结果
     */
    boolean insertApp(App app);

    /**
     * 修改展厅
     *
     * @param app 展厅
     * @return 结果
     */
    boolean updateApp(App app);

    /**
     * 批量删除展厅
     *
     * @param ids 需要删除的展厅主键集合
     * @return 结果
     */
    boolean deleteAppByIds(Long[] ids);

    /**
     * 删除展厅信息
     *
     * @param id 展厅主键
     * @return 结果
     */
    boolean deleteAppById(Long id);

}
