package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.Article;

/**
 * 文章Service接口
 *
 * @author seeseele
 * @date 2024-06-09
 */
public interface IArticleService {

    /**
     * 查询文章
     *
     * @param id 文章主键
     * @return 文章
     */
    Article selectArticleById(Long id);

    /**
     * 查询文章列表
     *
     * @param article 文章
     * @return 文章集合
     */
    List<Article> selectArticleList(Article article);

    /**
     * 新增文章
     *
     * @param article 文章
     * @return 结果
     */
    boolean insertArticle(Article article);

    /**
     * 修改文章
     *
     * @param article 文章
     * @return 结果
     */
    boolean updateArticle(Article article);

    /**
     * 删除文章
     *
     * @param id 文章id
     * @return
     */
    boolean deleteArticleById(Long id);
}
