package com.ruoyi.project.service;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.project.domain.Cart;

import java.util.List;

public interface ICartService {

    /**
     * 新增商品到购物车
     *
     * @param cart 购物车对象
     * @return 结果
     */
    boolean addToCart(Cart cart) throws JsonProcessingException;

    /**
     * 获取购物车列表
     *
     * @param userId 用户id
     * @return 结果
     */
    List<Cart> getCart(Long userId) throws JsonProcessingException;

    /**
     * 删除购物车中的某个商品
     *
     * @param userId 用户id，模板id
     * @return 结果
     */
    boolean deleteFromCart(Long userId, Long id);

    /**
     * 清空购物车
     *
     * @param userId 用户id
     * @return 结果
     */
    boolean clearCart(Long userId);
}
