package com.ruoyi.project.service;

import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.project.domain.Notice;
import com.ruoyi.project.domain.Template;
import com.ruoyi.project.domain.Transactions;
import com.ruoyi.project.domain.VrUser;
import com.ruoyi.project.domain.vo.RechargeVo;

import java.math.BigDecimal;
import java.util.List;

public interface IDataPanelService {

    /**
     * 获取通知列表
     */
    List<Notice> selectNoticeList();

    /**
     * 获取模板列表
     */
    List<Template> selectTemplateList();

    /**
     * 统计今日充值额
     */
    BigDecimal selectTodayMoney();

    /**
     * 统计周充值额
     */
    List<RechargeVo> selectWeekTransactionsList();

    /**
     * 统计月充值额
     */
    List<RechargeVo> selectMonthTransactionsList();

    /**
     * 获取用户充值排行
     */
    List<VrUser> selectUserOrderByMoney();

    /**
     * 查询今日新增用户
     */
    List<VrUser> selectUserByToday();

}
