package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.DataType;

/**
 * 数据类型Service接口
 * 
 * @author seeseele
 * @date 2024-05-09
 */
public interface IDataTypeService 
{
    /**
     * 查询数据类型
     * 
     * @param id 数据类型主键
     * @return 数据类型
     */
    DataType selectDataTypeById(Long id);

    /**
     * 查询数据类型列表
     * 
     * @param dataType 数据类型
     * @return 数据类型集合
     */
    List<DataType> selectDataTypeList(DataType dataType);

    /**
     * 新增数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    boolean insertDataType(DataType dataType);

    /**
     * 修改数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    boolean updateDataType(DataType dataType);

    /**
     * 批量删除数据类型
     * 
     * @param ids 需要删除的数据类型主键集合
     * @return 结果
     */
    boolean deleteDataTypeByIds(Long[] ids);

    /**
     * 删除数据类型信息
     * 
     * @param id 数据类型主键
     * @return 结果
     */
    boolean deleteDataTypeById(Long id);
}
