package com.ruoyi.project.service;

import com.ruoyi.project.domain.Favorites;
import com.ruoyi.project.domain.vo.FavoritesVo;

import java.util.List;

/**
 * 收藏夹Service接口
 *
 * @author seeseele
 * @date 2025-02-26
 */
public interface IFavoritesService {

    /**
     * 查询收藏夹
     *
     * @param id 收藏夹主键
     * @return 收藏夹
     */
    FavoritesVo selectFavoritesById(Long id);

    /**
     * 查询收藏夹列表
     *
     * @param favorites 收藏夹
     * @return 收藏夹集合
     */
    List<FavoritesVo> selectFavoritesList(Favorites favorites);

    /**
     * 新增收藏夹
     *
     * @param favorites 收藏夹
     * @return 结果
     */
    boolean insertFavorites(Favorites favorites);

    /**
     * 修改收藏夹
     *
     * @param favorites 收藏夹
     * @return 结果
     */
    boolean updateFavorites(Favorites favorites);

    /**
     * 批量删除收藏夹
     *
     * @param ids 需要删除的收藏夹主键集合
     * @return 结果
     */
    boolean deleteFavoritesByIds(Long[] ids);

    /**
     * 删除收藏夹信息
     *
     * @param id 收藏夹主键
     * @return 结果
     */
    boolean deleteFavoritesById(Long id);
}
