package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.Feedback;
import com.ruoyi.project.domain.vo.FeedbackVo;

/**
 * 用户反馈Service接口
 * 
 * @author seeseele
 * @date 2025-02-24
 */
public interface IFeedbackService 
{

    /**
     * 查询用户反馈
     * 
     * @param id 用户反馈主键
     * @return 用户反馈
     */
    Feedback selectFeedbackById(Long id);

    /**
     * 查询用户反馈列表
     * 
     * @param feedback 用户反馈
     * @return 用户反馈集合
     */
    List<FeedbackVo> selectFeedbackList(Feedback feedback);

    /**
     * 新增用户反馈
     * 
     * @param feedback 用户反馈
     * @return 结果
     */
    boolean insertFeedback(Feedback feedback);

    /**
     * 修改用户反馈
     * 
     * @param feedback 用户反馈
     * @return 结果
     */
    boolean updateFeedback(Feedback feedback);

    /**
     * 批量删除用户反馈
     * 
     * @param ids 需要删除的用户反馈主键集合
     * @return 结果
     */
    boolean deleteFeedbackByIds(Long[] ids);

    /**
     * 删除用户反馈信息
     * 
     * @param id 用户反馈主键
     * @return 结果
     */
    boolean deleteFeedbackById(Long id);

}
