package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.FeedbackType;

/**
 * 用户反馈类型Service接口
 *
 * @author seeseele
 * @date 2025-02-24
 */
public interface IFeedbackTypeService {

    /**
     * 查询用户反馈类型
     *
     * @param id 用户反馈类型主键
     * @return 用户反馈类型
     */
    FeedbackType selectFeedbackTypeById(Long id);

    /**
     * 查询用户反馈类型列表
     *
     * @param feedbackType 用户反馈类型
     * @return 用户反馈类型集合
     */
    List<FeedbackType> selectFeedbackTypeList(FeedbackType feedbackType);

    /**
     * 新增用户反馈类型
     *
     * @param feedbackType 用户反馈类型
     * @return 结果
     */
    boolean insertFeedbackType(FeedbackType feedbackType);

    /**
     * 修改用户反馈类型
     *
     * @param feedbackType 用户反馈类型
     * @return 结果
     */
    boolean updateFeedbackType(FeedbackType feedbackType);

    /**
     * 批量删除用户反馈类型
     *
     * @param ids 需要删除的用户反馈类型主键集合
     * @return 结果
     */
    boolean deleteFeedbackTypeByIds(Long[] ids);

    /**
     * 删除用户反馈类型信息
     *
     * @param id 用户反馈类型主键
     * @return 结果
     */
    boolean deleteFeedbackTypeById(Long id);
}
