package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.sourceData.ImageData;

/**
 * 图片数据Service接口
 * 
 * @author seeseele
 * @date 2024-05-09
 */
public interface IImageDataService 
{
    /**
     * 查询图片数据
     * 
     * @param id 图片数据主键
     * @return 图片数据
     */
    ImageData selectImageDataById(Long id);

    /**
     * 查询图片数据列表
     * 
     * @param imageData 图片数据
     * @return 图片数据集合
     */
    List<ImageData> selectImageDataList(ImageData imageData);

    /**
     * 新增图片数据
     * 
     * @param imageData 图片数据
     * @return 结果
     */
    boolean insertImageData(ImageData imageData);

    /**
     * 修改图片数据
     * 
     * @param imageData 图片数据
     * @return 结果
     */
    boolean updateImageData(ImageData imageData);

    /**
     * 批量删除图片数据
     * 
     * @param ids 需要删除的图片数据主键集合
     * @return 结果
     */
    boolean deleteImageDataByIds(Long[] ids);

    /**
     * 删除图片数据信息
     * 
     * @param id 图片数据主键
     * @return 结果
     */
    boolean deleteImageDataById(Long id);
}
