package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.NoticeLog;

/**
 * 通知记录Service接口
 *
 * @author seeseele
 * @date 2025-02-24
 */
public interface INoticeLogService {

    /**
     * 查询通知记录
     *
     * @param id 通知记录主键
     * @return 通知记录
     */
    NoticeLog selectNoticeLogById(Long id);

    /**
     * 查询通知记录列表
     *
     * @param noticeLog 通知记录
     * @return 通知记录集合
     */
    List<NoticeLog> selectNoticeLogList(NoticeLog noticeLog);

    /**
     * 新增通知记录
     *
     * @param noticeLog 通知记录
     * @return 结果
     */
    boolean insertNoticeLog(NoticeLog noticeLog);

    /**
     * 修改通知记录
     *
     * @param noticeLog 通知记录
     * @return 结果
     */
    boolean updateNoticeLog(NoticeLog noticeLog);

    /**
     * 批量删除通知记录
     *
     * @param ids 需要删除的通知记录主键集合
     * @return 结果
     */
    boolean deleteNoticeLogByIds(Long[] ids);

    /**
     * 删除通知记录信息
     *
     * @param id 通知记录主键
     * @return 结果
     */
    boolean deleteNoticeLogById(Long id);
}
