package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.Notice;
import com.ruoyi.project.domain.vo.NoticeVo;

/**
 * 通知Service接口
 *
 * @author seeseele
 * @date 2024-06-09
 */
public interface INoticeService {

    /**
     * 查询通知列表
     *
     * @param notice 通知
     * @return 通知集合
     */
    List<Notice> selectNoticeList(Notice notice);

    /**
     * 根据用户id查询通知列表
     *
     * @param userId 用户id
     * @return 通知集合
     */
    List<NoticeVo> selectNoticeListByUserId(Long userId);

    /**
     * 查询通知
     *
     * @param id 通知主键
     * @return 通知
     */
    Notice selectNoticeById(Long id);

    /**
     * 新增通知
     *
     * @param notice 通知
     * @return 结果
     */
    boolean insertNotice(Notice notice);

    /**
     * 新增通知
     *
     * @param notice 通知
     * @return 结果
     */
    boolean insertNoticeToAllUser(Notice notice);

    /**
     * 修改通知
     *
     * @param notice 通知
     * @return 结果
     */
    boolean updateNotice(Notice notice);

    /**
     * 删除通知
     * @param id 通知id
     * @return
     */
    boolean deleteNotice(Long id);
}
