package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.NoticeType;

/**
 * 通知类型Service接口
 *
 * @author seeseele
 * @date 2025-02-24
 */
public interface INoticeTypeService {

    /**
     * 查询通知类型
     *
     * @param id 通知类型主键
     * @return 通知类型
     */
    NoticeType selectNoticeTypeById(Long id);

    /**
     * 查询通知类型列表
     *
     * @param noticeType 通知类型
     * @return 通知类型集合
     */
    List<NoticeType> selectNoticeTypeList(NoticeType noticeType);

    /**
     * 新增通知类型
     *
     * @param noticeType 通知类型
     * @return 结果
     */
    boolean insertNoticeType(NoticeType noticeType);

    /**
     * 修改通知类型
     *
     * @param noticeType 通知类型
     * @return 结果
     */
    boolean updateNoticeType(NoticeType noticeType);

    /**
     * 批量删除通知类型
     *
     * @param ids 需要删除的通知类型主键集合
     * @return 结果
     */
    boolean deleteNoticeTypeByIds(Long[] ids);

    /**
     * 删除通知类型信息
     *
     * @param id 通知类型主键
     * @return 结果
     */
    boolean deleteNoticeTypeById(Long id);
}
