package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.OrderDetails;

/**
 * 订单详情
 *
 * @author seeseele
 * @date 2025-02-26
 */
public interface IOrderDetailsService {

    /**
     * 查询订单详情
     *
     * @param id 订单详情主键
     * @return 订单详情
     */
    OrderDetails selectOrderDetailsById(Long id);

    /**
     * 查询订单详情列表
     *
     * @param orderDetails 订单详情
     * @return 订单详情集合
     */
    List<OrderDetails> selectOrderDetailsList(OrderDetails orderDetails);

    /**
     * 新增订单详情
     *
     * @param orderDetails 订单详情
     * @return 结果
     */
    boolean insertOrderDetails(OrderDetails orderDetails);

    /**
     * 修改订单详情
     *
     * @param orderDetails 订单详情
     * @return 结果
     */
    boolean updateOrderDetails(OrderDetails orderDetails);

    /**
     * 批量删除订单详情
     *
     * @param ids 需要删除的订单详情主键集合
     * @return 结果
     */
    boolean deleteOrderDetailsByIds(Long[] ids);

    /**
     * 删除订单详情信息
     *
     * @param id 订单详情主键
     * @return 结果
     */
    boolean deleteOrderDetailsById(Long id);
}
