package com.ruoyi.project.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.project.domain.OrderDetails;
import com.ruoyi.project.domain.Orders;
import com.ruoyi.project.domain.Template;
import com.ruoyi.project.domain.vo.OrderVo;

import java.util.List;

/**
 * 订单Service接口
 *
 * @author seeseele
 * @date 2025-02-26
 */
public interface IOrdersService {

    /**
     * 查询订单
     */
    OrderVo selectOrdersToCache(Long userId, Long orderId);

    /**
     * 根据模板id查询模板
     */
    Template selectTemplateById(Long templateId);

    /**
     * 根据用户id查询订单vo列表
     */
    List<OrderVo> selectOrderVoListByUserId(Long userId);

    /**
     * 创建订单
     */
    OrderVo createOrderVo(Orders orders, List<OrderDetails> orderDetailsList);

    /**
     * 支付订单
     */
    AjaxResult payment(Long userId, Long orderId);

    /**
     * 取消订单
      */
    AjaxResult cancelOrder(Long userId, Long orderId);

    /**
     * 订单退款
     */
    AjaxResult refundOrder(Long userId, Long orderId);

    /**
     * 将redis数据持久化到数据库
     */
    void persistRedisCacheToDb();


}
