package com.ruoyi.project.service;

import com.qiniu.common.QiniuException;
import com.ruoyi.common.core.domain.AjaxResult;
import org.springframework.web.multipart.MultipartFile;

public interface IQiniuService {

    /**
     * 获取上传token
     *
     * @return
     */
    String getUploadToken();

    /**
     * 普通上传（不覆盖文件，可修改）
     *
     * @param file
     * @return
     */
    AjaxResult upload(MultipartFile file, String directory);

    /**
     * 断点上传，（覆盖上传，可修改）
     *
     * @param file
     * @return
     */
    AjaxResult breakpointUpload(MultipartFile file, String directory);

    /**
     * 切片上传（未完成
     *
     * @param multipartFile
     * @return
     */
    String sliceUpload(MultipartFile multipartFile);

    /**
     * 删除文件
     *
     * @param url
     * @throws QiniuException
     */
    AjaxResult deleteFile(String url) throws QiniuException;
}
