package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.Scene;

/**
 * 场景Service接口
 * 
 * @author seeseele
 * @date 2024-05-09
 */
public interface ISceneService 
{
    /**
     * 查询场景
     * 
     * @param id 场景主键
     * @return 场景
     */
    Scene selectSceneById(Long id);

    /**
     * 查询场景列表
     * 
     * @param scene 场景
     * @return 场景集合
     */
    List<Scene> selectSceneList(Scene scene);

    /**
     * 查询场景列表
     *
     * @param userId 用户id
     * @return 场景集合
     */
    List<Scene> selectSceneListByUserId(Long userId);

    /**
     * 查询场景列表
     *
     * @param appId 展厅id
     * @return 场景集合
     */
    List<Scene> selectSceneListByAppId(Long appId);

    /**
     * 新增场景
     * 
     * @param scene 场景
     * @return 结果
     */
    boolean insertScene(Scene scene);

    /**
     * 修改场景
     * 
     * @param scene 场景
     * @return 结果
     */
    boolean updateScene(Scene scene);

    /**
     * 批量删除场景
     * 
     * @param ids 需要删除的场景主键集合
     * @return 结果
     */
    boolean deleteSceneByIds(Long[] ids);

    /**
     * 删除场景信息
     * 
     * @param id 场景主键
     * @return 结果
     */
    boolean deleteSceneById(Long id);
}
