package com.ruoyi.project.service;

import com.ruoyi.project.domain.DataSource;
import com.ruoyi.project.domain.Spot;
import com.ruoyi.project.domain.vo.SpotVo;

import java.util.List;

public interface ISpotService {

    /**
     * 根据场景id查询展示点列表
     *
     * @param sceneId 场景id
     */
    List<SpotVo> selectSpotListBySceneId(Long sceneId);

    /**
     *  根据场景id修改展示点
     *
     * @param sceneId id
     * @param spot 展示点
     */
    boolean updateSpotBySceneId(Long sceneId, Spot spot);

    /**
     * 根据展示点标题查询数据源
     */
    DataSource selectDataSourceBySpot(String spotTitle);

    /**
     * 挂载数据源
     *
     * @param dataSourceId 数据源id
     * @param spotTitle    展示点标题
     */
    boolean mountSpot(Long dataSourceId, String spotTitle);

    /**
     * 卸载数据源
     *
     * @param dataSourceId 数据源id
     * @param spotTitle    展示点标题
     */
    boolean unloadSpot(Long dataSourceId, String spotTitle);

}
