package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.TemplateLog;

/**
 * 购买模板记录Service接口
 *
 * @author seeseele
 * @date 2024-05-13
 */
public interface ITemplateLogService {

    /**
     * 查询购买模板记录
     *
     * @param id 购买模板记录主键
     * @return 购买模板记录
     */
    TemplateLog selectTemplateLogById(Long id);

    /**
     * 查询购买模板记录列表
     *
     * @param templateLog 购买模板记录
     * @return 购买模板记录集合
     */
    List<TemplateLog> selectTemplateLogList(TemplateLog templateLog);

    /**
     * 根据用户id查询购买模板记录列表
     *
     * @param userId 用户主键
     * @return 购买模板记录
     */
    List<TemplateLog> selectTemplateLogListByUserId(Long userId);

    /**
     * 新增购买模板记录
     *
     * @param templateLog 购买模板记录
     * @return 结果
     */
    boolean insertTemplateLog(TemplateLog templateLog);

}
