package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.Template;

/**
 * 展厅模板Service接口
 *
 * @author seeseele
 * @date 2024-05-09
 */
public interface ITemplateService {

    /**
     * 根据展厅模板id查询展厅模板
     *
     * @param id 展厅模板主键
     * @return 展厅模板
     */
    Template selectTemplateById(Long id);

    /**
     * 查询展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板集合
     */
    List<Template> selectTemplateList(Template template);

    /**
     * 查询展示的展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板集合
     */
    List<Template> selectShowTemplateList(Template template);

    /**
     * 根据用户id查询模板列表
     *
     * @param userId 用户主键
     * @return 购买模板
     */
    List<Template> selectTemplateListByUserId(Long userId);

    /**
     * 新增展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    boolean insertTemplate(Template template);

    /**
     * 修改展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    boolean updateTemplate(Template template);

    /**
     * 删除展厅模板
     *
     * @param templateId 模板id
     * @return 结果
     */
    boolean deleteTemplateById(Long templateId);
}
