package com.ruoyi.project.service;

import java.util.List;

import com.ruoyi.project.domain.Transactions;

/**
 * 充值记录Service接口
 *
 * @author seeseele
 * @date 2024-07-10
 */
public interface ITransactionsService {

    /**
     * 查询充值记录
     *
     * @param id 充值记录主键
     * @return 充值记录
     */
    Transactions selectTransactionsById(Long id);

    /**
     * 查询充值记录列表
     *
     * @param transactions 充值记录
     * @return 充值记录集合
     */
    List<Transactions> selectTransactionsList(Transactions transactions);

    /**
     * 新增充值记录
     *
     * @param transactions 充值记录
     * @return 结果
     */
    boolean insertTransactions(Transactions transactions);

    /**
     * 修改充值记录
     *
     * @param transactions 充值记录
     * @return 结果
     */
    boolean updateTransactions(Transactions transactions);

}
