package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.sourceData.VideoData;

/**
 * 视频数据Service接口
 * 
 * @author seeseele
 * @date 2024-05-09
 */
public interface IVideoDataService 
{
    /**
     * 查询视频数据
     * 
     * @param id 视频数据主键
     * @return 视频数据
     */
    VideoData selectVideoDataById(Long id);

    /**
     * 查询视频数据列表
     * 
     * @param videoData 视频数据
     * @return 视频数据集合
     */
    List<VideoData> selectVideoDataList(VideoData videoData);

    /**
     * 新增视频数据
     * 
     * @param videoData 视频数据
     * @return 结果
     */
    boolean insertVideoData(VideoData videoData);

    /**
     * 修改视频数据
     * 
     * @param videoData 视频数据
     * @return 结果
     */
    boolean updateVideoData(VideoData videoData);

    /**
     * 批量删除视频数据
     * 
     * @param ids 需要删除的视频数据主键集合
     * @return 结果
     */
    boolean deleteVideoDataByIds(Long[] ids);

    /**
     * 删除视频数据信息
     * 
     * @param id 视频数据主键
     * @return 结果
     */
    boolean deleteVideoDataById(Long id);
}
