package com.ruoyi.project.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.project.domain.VrUser;

import java.util.List;

/**
 * vr用户Service接口
 *
 * @author seeseele
 * @date 2025-03-10
 */
public interface IVrUserService {

    /**
     * 手机号密码注册
     */
    AjaxResult register(VrUser vrUser);

    /**
     * 手机号密码登录
     */
    VrUser login(String phone, String password);

    /**
     * 查询vr用户
     *
     * @param id vr用户主键
     * @return vr用户
     */
    VrUser selectVrUserById(Long id);

    /**
     * 查询vr用户列表
     *
     * @param vrUser vr用户
     * @return vr用户集合
     */
    List<VrUser> selectVrUserList(VrUser vrUser);

    /**
     * 新增vr用户
     *
     * @param vrUser vr用户
     * @return 结果
     */
    int insertVrUser(VrUser vrUser);

    /**
     * 修改vr用户
     *
     * @param vrUser vr用户
     * @return 结果
     */
    int updateVrUser(VrUser vrUser);

    /**
     * 修改vr用户密码
     *
     * @return 结果
     */
    boolean updateVrUserPassword(Long userId, String newPassword);

    /**
     * 修改vr用户邮箱
     *
     * @return 结果
     */
    boolean updateVrUserEmail(Long userId, String newEmail);

    /**
     * 修改vr用户头像
     *
     * @return 结果
     */
    boolean updateVrUserAvatar(Long userId, String newAvatar);

    /**
     * 批量删除vr用户
     *
     * @param ids 需要删除的vr用户主键集合
     * @return 结果
     */
    int deleteVrUserByIds(Long[] ids);

    /**
     * 删除vr用户信息
     *
     * @param id vr用户主键
     * @return 结果
     */
    int deleteVrUserById(Long id);
}
