package com.ruoyi.common;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.domain.MScene;
import com.ruoyi.domain.vo.MDataSourceVo;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.List;
import java.util.Objects;

/**
 * @author xuanxuan
 */
public class CommonUtils {

    /**
     * 通过url获取json文件内容
     */
    public static <T> T getContentByUrl(String url, Class<T> clazz) {
        RestTemplate restTemplate = new RestTemplate();
        HttpHeaders headers = new HttpHeaders();
        HttpEntity<T> entity = new HttpEntity<>(headers);

        ResponseEntity<T> response = restTemplate.exchange(url, HttpMethod.GET, entity, clazz);

        return Objects.requireNonNull(response.getBody());
    }

    /**
     * 将<T>str转化为<T>List
     */
    public static <T> List<T> translateToList(String jsonStr, String key, Class<T> clazz) {
        JSONObject jsonObj = JSONObject.parseObject(jsonStr);
        String data = jsonObj.getString(key);
        return JSON.parseArray(data, clazz);
    }

    /**
     * 获取数据源voMap，主键为场景与展示点拼接的字符串
     *
     * @return HashMap<String, DataSourceVo>
     */
//    public static HashMap<String, MDataSourceVo> getDataSourceVoMap(MScene scene,
//                                                                    MDataSourceMapper dataSourceMapper,
//                                                                    ImageDataMapper imageDataMapper,
//                                                                    VideoDataMapper videoDataMapper) {
//        List<DataSource> dataSources = dataSourceMapper.selectDataSourceListByAppId(scene.getAppId());
//        HashMap<String, DataSourceVo> dataMap = new HashMap<>(); // 用于储存dataSourceVo，避免多次请求数据库
//        for (DataSource dataSource : dataSources) {
//            if (!StringUtils.isEmpty(dataSource.getSpot())) {
//                // 根据数据类型来封装dataSourceVo
//                DataSourceVo dataSourceVo = new DataSourceVo();
//                if (dataSource.getType() == 1) {
//                    ImageData imageData = imageDataMapper.selectImageDataByDataSourceId(dataSource.getId());
//                    dataSourceVo = new DataSourceVo(dataSource, imageData.getUrl(), imageData.getCover());
//                } else if (dataSource.getType() == 2) {
//                    VideoData videoData = videoDataMapper.selectVideoDataByDataSourceId(dataSource.getId());
//                    dataSourceVo = new DataSourceVo(dataSource, videoData.getUrl(), videoData.getCover());
//                }
//
//                String spot = dataSource.getSpot();
//
//                // 判断展示点分别挂载了哪些数据源
//                if (spot.split("#").length == 0 && StringUtils.isEmpty(spot)) {
//                    dataMap.put(dataSource.getSpot(), dataSourceVo);
//                } else {
//                    String[] spotTitles = dataSource.getSpot().split("#");
//                    for (String s : spotTitles) {
//                        dataMap.put(s, dataSourceVo);
//                    }
//                }
//            }
//        }
//
//        return dataMap;
//    }
}
