package com.ruoyi.controller;

import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MArticle;
import com.ruoyi.domain.MTemplate;
import com.ruoyi.service.MArticleService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author xuanxuan
 */
@Api(tags = "文章模块")
@RestController
@RequestMapping("/vrone/mobile/articles")
@Anonymous
public class MArticleController extends BaseController {

    @Autowired
    private MArticleService articleService;

    @PostMapping("/list")
    @ApiOperation(value = "查询文章列表", notes = "传参为article（文章实体，实体中包含查询条件）")
    public AjaxResult list(MArticle article) {
        List<MArticle> list = articleService.selectArticleList(article);

        return success(list);
    }

    @PostMapping("/details")
    @ApiOperation(value = "查询文章详情", notes = "传参为id（文章id）")
    public AjaxResult getArticleDetails(@RequestBody MArticle article) {

        articleService.incrementViewCount(article.getId());
        MArticle ArticleList = articleService.selectArticleById(article.getId());

        if (ArticleList != null) {
            return AjaxResult.success(ArticleList);
        } else {
            return AjaxResult.error("文章未找到");
        }
    }
}
