package com.ruoyi.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MCart;
import com.ruoyi.service.MCartService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author xuanxuan
 */
@Api(tags = "购物车模块")
@RestController
@RequestMapping("/vrone/mobile/cart")
@Anonymous
//@SaCheckLogin
public class MCartController extends BaseController {

    @Autowired
    private MCartService cartService;

    // 添加商品到购物车
    @PostMapping("/add")
    @ApiOperation(value = "新增商品到购物车", notes = "传参为cart(购物车实体)")
    public AjaxResult addToCart(@RequestBody MCart cart) throws JsonProcessingException {
        cartService.addToCart(cart);
        return AjaxResult.success();
    }

    // 获取购物车商品
    @PostMapping("/getCart")
    @ApiOperation(value = "获取购物车商品", notes = "传参为用户id")
    public AjaxResult getCart(@RequestBody MCart cart) throws JsonProcessingException {
        List<MCart> list = cartService.getCart(cart.getUserId());
        return AjaxResult.success(list);
    }

    // 删除购物车中的某个商品
    @DeleteMapping("/remove")
    @ApiOperation(value = "删除购物车中的某个商品", notes = "传参为用户id，商品id")
    public AjaxResult removeFromCart(@RequestBody MCart cart) {
        cartService.deleteFromCart(cart.getUserId(), cart.getId());
        return AjaxResult.success();
    }

    // 清空购物车
    @DeleteMapping("/clear")
    @ApiOperation(value = "清空购物车", notes = "传参为用户id")
    public AjaxResult clearCart(@RequestBody MCart cart) {
        cartService.clearCart(cart.getUserId());
        return AjaxResult.success();
    }
}
