package com.ruoyi.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import cn.dev33.satoken.stp.StpUtil;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MFavorites;
import com.ruoyi.service.MFavoritesService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author xuanxuan
 * 收藏模块Controller
 */
@Api(tags = "收藏模块")
@RestController
@RequestMapping("/vrone/mobile/favorites")
@Anonymous
@SaCheckLogin
public class MFavoritesController extends BaseController {

    @Autowired
    private MFavoritesService favoritesService;

    @PostMapping(value = "/add")
    @ApiOperation(value = "新增收藏", notes = "传参为favorites（收藏实体）")
    public AjaxResult add(@RequestBody MFavorites favorites) {
        MFavorites mFavorites = favoritesService.selectFavoriteByUserIdAndTemplateId(favorites);
        System.out.println(mFavorites);
        // 如果已存在该收藏，返回已存在提示
        if (mFavorites != null) {
            return AjaxResult.error("请勿重复收藏");
        }

        if (!favoritesService.insertFavorites(favorites)) {
            return AjaxResult.error("新增失败");
        }


        return AjaxResult.success("收藏成功");
    }

    @PostMapping("/list")
    @ApiOperation(value = "查询收藏列表", notes = "传参为favorites（收藏实体，实体中包含查询条件）")
    public AjaxResult list(@RequestBody MFavorites favorites) {

        List<MFavorites> list = favoritesService.selectFavoritesList(favorites.getUserId());

        return success(list);
    }

    @PostMapping("/remove")
    @ApiOperation(value = "删除收藏", notes = "传参为id（收藏id模板id）")
    public AjaxResult remove(@RequestBody MFavorites favorites) {
        if (!favoritesService.deleteFavorites(favorites)) {
            return error("取消收藏失败");
        }

        return AjaxResult.success("取消收藏成功");
    }
}
