package com.ruoyi.controller;

import cn.dev33.satoken.stp.StpUtil;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MTemplate;
import com.ruoyi.service.MFavoritesService;
import com.ruoyi.service.MTemplateService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author xuanxuan
 */
@Api(tags = "展厅模板模块")
@RestController
@RequestMapping("/vrone/mobile/templates")
@Anonymous
public class MTemplateController extends BaseController {

    @Autowired
    private MTemplateService templateService;

    @Autowired
    private MFavoritesService favoritesService;

    @PostMapping("/showList")
    @ApiOperation(value = "查询展示的展厅模板列表", notes = "传参为template（展厅模板实体，实体中包含查询条件）")
    public AjaxResult showList(@RequestBody MTemplate template) {
        List<MTemplate> list = templateService.selectShowTemplateList(template);

        // 通过sa-token获取用户id
        long userId = StpUtil.getLoginIdAsLong();

        // 查询用户收藏的展厅模板ID列表
        List<Long> favoriteIds = favoritesService.selectFavoriteTemplateIdsByUser(userId);

        // 遍历展厅模板列表，判断是否收藏
        for (MTemplate item : list) {
            item.setIsFavorite(favoriteIds.contains(item.getId()));
        }

        return success(list);
    }

    @PostMapping("/details")
    @ApiOperation(value = "查询模板详情", notes = "传参为id（模板id）")
    public AjaxResult getTemplateDetails(@RequestBody MTemplate template) {

        MTemplate templateList = templateService.selectTemplateById(template.getId());

        if (templateList != null) {
            templateList.setViewCount(templateList.getViewCount() + 1);
            templateService.updateTemplate(templateList);
            return AjaxResult.success(templateList);
        } else {
            return AjaxResult.error("模板未找到");
        }


    }
}
