package com.ruoyi.controller;

import cn.dev33.satoken.annotation.SaCheckLogin;
import com.ruoyi.common.annotation.Anonymous;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MTemplateLog;
import com.ruoyi.service.MTemplateLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author xuanxuan
 */
@Api(tags = "购买模板记录模块")
@RestController
@RequestMapping("/vrone/mobile/templateLog")
@Anonymous
@SaCheckLogin
public class MTemplateLogController extends BaseController {

    @Autowired
    private MTemplateLogService templateLogService;

    @PostMapping(value = "/add")
    @ApiOperation(value = "新增购买模板记录", notes = "传参为templateLog（购买模板记录实体）")
    public AjaxResult add(@RequestBody MTemplateLog templateLog) {
        if (!templateLogService.insertTemplateLog(templateLog)) {
            return error("新增失败");
        }

        AjaxResult ajaxResult = new AjaxResult();
        ajaxResult.put("code", 201);
        ajaxResult.put("msg", "新增成功");
        return ajaxResult;
    }

    @PostMapping("/list")
    @ApiOperation(value = "查询购买模板记录列表", notes = "传参为templateLog（展厅模板实体，实体中包含查询条件）")
    public AjaxResult list(@RequestBody MTemplateLog templateLog) {
        List<MTemplateLog> list = templateLogService.selectTemplateLogList(templateLog);
        return success(list);
    }

    @PostMapping("/list/getListByUserId")
    @ApiOperation(value = "根据用户id查询购买模板记录列表", notes = "传参为userId（用户id）")
    public AjaxResult getListByUserId(@RequestBody MTemplateLog templateLog) {
        List<MTemplateLog> list = templateLogService.selectTemplateLogListByUserId(templateLog.getUserId());
        return success(list);
    }

    @PostMapping(value = "/getInfo")
    @ApiOperation(value = "获取购买模板记录详细信息", notes = "传参为templateLogId（购买模板记录id）")
    public AjaxResult getInfo(@RequestBody MTemplateLog templateLog) {
        return success(templateLogService.selectTemplateLogById(templateLog.getId()));
    }
}
