package com.ruoyi.domain.DTO;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.domain.MOrderDetails;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author xuanxuan
 */
@ApiModel(value = "GenerateOrder", description = "生成订单请求参数")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class GenerateOrderRequest {

    @ApiModelProperty(value = "订单ID")
    private Long id;

    @ApiModelProperty(value = "用户ID，外键")
    private Long userId;

    @ApiModelProperty(value = "总金额")
    private BigDecimal totalAmount;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "下单日期，默认值为当前时间")
    private Date orderDate;

    @ApiModelProperty(value = "状态只能'0','1', '2', '3'中的一个，分别代表待处理、已发货、已交付、已取消的状态。")
    private Integer orderStatus;

    @ApiModelProperty(value = "退款状态。默认0(未申请)，1(已申请),2(已处理)")
    private String refundStatus;

    @ApiModelProperty(value = "退款日期。记录退款处理的确切时间。")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date refundDate;

    @ApiModelProperty(value = "订单详情列表")
    private List<MOrderDetails> orderDetails;

}
