package com.ruoyi.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xuanxuan
 * 订单详情：此用于存储每个订单中包含的具体商品及其相关信息。对象 vr_order_details
 */
@ApiModel(value = "OrderDetails", description = "订单详情对象")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MOrderDetails {

    /**
     * 订单详情ID
     */
    @ApiModelProperty(value = "订单详情ID")
    private Long id;

    /**
     * 订单ID
     */
    @ApiModelProperty(value = "订单ID")
    private Long orderId;

    /**
     * 商品ID
     */
    @ApiModelProperty(value = "商品ID")
    private Long templateId;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "模板图片链接")
    private String imgUrl;
    /**
     * 数量
     */
    @ApiModelProperty(value = "数量")
    private Integer quantity;

    /**
     * 价格
     */
    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "状态（0，未退款，1，已退款）")
    private Integer status;
}
