package com.ruoyi.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author xuanxuan
 * 展厅模板对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "Template", description = "展厅模板对象")
public class MTemplate {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "类型（1：unity，2：720）")
    private Long type;

    @ApiModelProperty(value = "链接")
    private String url;

    @ApiModelProperty(value = "模板图片")
    private String imgUrl;

    @ApiModelProperty(value = "简介")
    private String introduction;

    @ApiModelProperty(value = "模板详细介绍")
    private String text;

    @ApiModelProperty(value = "行业")
    private String industry;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @ApiModelProperty(value = "浏览量")
    private Long viewCount;

    @ApiModelProperty(value = "状态（-1不展示，0审核，1展示，2打回）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "是否收藏")
    private Boolean isFavorite;

}
