package com.ruoyi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 充值记录对象 vr_transactions
 * 
 * @author xuanxuan
 */
@EqualsAndHashCode(callSuper = true)
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "Transactions", description = "支付记录表")
public class MTransactions extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    private Long id;

    /**  用户id */
    @Excel(name = " 用户id")
    private Long userId;

    @Excel(name = " 订单id")
    private Long orderId;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal recharge;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal money;

    /** 支付方式 1银行转账 2支付宝 3微信 4账户余额 */
    @Excel(name = "支付方式 1银行转账 2支付宝 3微信 4账户余额")
    private Integer paymentMethod;

    /** 支付备注 */
    @Excel(name = "支付备注")
    private String mark;

    /** 支付类型 0余额充值 1购买模板 2其他 */
    @Excel(name = "支付类型 0余额充值 1购买模板 2其他")
    private Integer paymentType;

    @ApiModelProperty(value = "状态 0未完成 1已完成")
    private Integer status;
}
