package com.ruoyi.domain.vo;

import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.domain.MApp;
import com.ruoyi.domain.MUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author xuanxuan
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "AppVo", description = "展厅对象vo")
public class MAppVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "用户头像")
    private String avatar;

    @ApiModelProperty(value = "名称")
    private String title;

    @ApiModelProperty(value = "图标")
    private String icon;

    @ApiModelProperty(value = "缩略图")
    private String cover;

    @ApiModelProperty(value = "视频")
    private String video;

    @ApiModelProperty(value = "浏览量")
    private Long viewCount;

    @ApiModelProperty(value = "简介")
    private String introduction;

    @ApiModelProperty(value = "状态（-1不展示，0审核，1展示，2打回）")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    public MAppVo(MApp app, MUser user) {
        this.id = app.getId();
        this.userId = app.getUserId();
        this.userName = user.getUserName();
        this.avatar = user.getAvatar();
        this.title = app.getTitle();
        this.icon = app.getIcon();
        this.cover = app.getCover();
        this.video = app.getVideo();
        this.viewCount = app.getViewCount();
        this.introduction = app.getIntroduction();
        this.status = app.getStatus();
        this.createTime = app.getCreateTime();
        this.updateTime = app.getUpdateTime();
    }
}
