package com.ruoyi.domain.vo;

import com.ruoyi.domain.MDataSource;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class MDataSourceVo {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "展厅id")
    private Long appId;

    @ApiModelProperty(value = "数据源标题")
    private String title;

    @ApiModelProperty(value = "展示点")
    private String spot;

    @ApiModelProperty(value = "数据类型")
    private Long type;

    @ApiModelProperty(value = "数据id")
    private Long dataId;

    @ApiModelProperty(value = "数据url")
    private String url;

    @ApiModelProperty(value = "封面url")
    private String cover;


    public MDataSourceVo(MDataSource dataSource) {
        this.id = dataSource.getId();
        this.appId = dataSource.getAppId();
        this.title = dataSource.getTitle();
        this.spot = dataSource.getSpot();
        this.type = dataSource.getType();
    }

    public MDataSourceVo(MDataSource dataSource, String url, String cover) {
        this.id = dataSource.getId();
        this.appId = dataSource.getAppId();
        this.title = dataSource.getTitle();
        this.spot = dataSource.getSpot();
        this.type = dataSource.getType();
        this.url = url;
        this.cover = cover;
    }
}
