package com.ruoyi.mapper;

import com.ruoyi.domain.MApp;
import com.ruoyi.domain.vo.MAppVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author xuanxuan
 */
@Mapper
public interface MAppMapper {

    /**
     * 查询用于展示的展厅列表
     *
     * @param app 展厅
     * @return 展厅集合
     */
     List<MAppVo> selectShowAppList(MApp app);

    /**
     * 根据用户id查询展厅列表
     *
     * @param userId 用户id
     * @return 展厅
     */
    List<MApp> selectAppListByUserId(Long userId);

    /**
     * 查询展厅详情
     *
     * @param id 展厅主键
     * @return 展厅vo
     */
    MApp selectAppById(Long id);

    /**
     * 新增展厅
     *
     * @param app 展厅
     * @return 结果
     */
    int insertApp(MApp app);

    /**
     * 修改展厅
     *
     * @param app 展厅
     * @return 结果
     */
    int updateApp(MApp app);

    /**
     * 增加浏览量
     * @param id 展厅id
     */
    int incrementViewCount(Long id);
}
