package com.ruoyi.mapper;

import com.ruoyi.domain.MApp;
import com.ruoyi.domain.MFavorites;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author xuanxuan
 */
@Mapper
public interface MFavoritesMapper {

    /**
     * 新增收藏
     *
     * @param favorites 收藏对象
     * @return 结果
     */
    int insertFavorites(MFavorites favorites);

    /**
     * 查询收藏列表
     *
     * @param userId 用户id
     * @return 结果
     */
    List<MFavorites> selectFavoritesList(Long userId);

    /***
     * 删除收藏
     * @param favorites 收藏夹id，模板id
     * @return 结果
     */
    int deleteFavorites(MFavorites favorites);

    /***
     *  根据用户id查询收藏模板id
     * @param userId 用户id
     * @return 模板id
     */
    List<Long> selectFavoriteTemplateIdsByUser(long userId);

    /***
     * 查询是否已经收藏
     * @param favorites 用户id,模板id
     * @return
     */
    MFavorites selectFavoriteByUserIdAndTemplateId(MFavorites favorites);
}
