package com.ruoyi.mapper;

import com.ruoyi.domain.MTemplateLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author xuanxuan
 */
@Mapper
public interface MTemplateLogMapper {

    /**
     * 新增购买模板记录
     *
     * @param templateLog 购买模板记录
     * @return 结果
     */
    int insertTemplateLog(MTemplateLog templateLog);

    /**
     * 查询购买模板记录列表
     *
     * @param templateLog 购买模板记录
     * @return 购买模板记录集合
     */
    List<MTemplateLog> selectTemplateLogList(MTemplateLog templateLog);

    /**
     * 根据用户id查询购买模板记录列表
     *
     * @param userId 用户主键
     * @return 购买模板记录
     */
    List<MTemplateLog> selectTemplateLogListByUserId(Long userId);

    /**
     * 查询购买模板记录
     *
     * @param id 购买模板记录主键
     * @return 购买模板记录
     */
    MTemplateLog selectTemplateLogById(Long id);
}
