package com.ruoyi.mapper;

import com.ruoyi.domain.MUser;
import com.ruoyi.domain.vo.MRechargeVO;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author xuanxuan
 */
@Mapper
public interface UserMapper {
    
    //手机号密码注册
    int registerUser(MUser user);
    //邮箱密码注册
    boolean emailPWDRegister(MUser user);
    // 根据用户名或者邮箱查询用户信息
    MUser findByUsername(MUser user);
    //邮箱验证码注册
    boolean emailRegister(MUser user);

    //根据用户id查询用户信息
    MUser selectUserById(Long id);

    /**
     * 修改vr用户
     *
     * @param vrUser vr用户
     * @return 结果
     */
    int updateVrUser(MUser vrUser);

    /**
     * 修改用户密码
     * @param user
     * @return
     */
    int updateUser(MUser user);

    /**
     * 更新用户余额
     * @param rechargeVO 充值对象
     * @return
     */
    int updateBalanceAndTotalMoney(MRechargeVO rechargeVO);
}
