package com.ruoyi.service;

import com.ruoyi.domain.MApp;
import com.ruoyi.domain.vo.MAppVo;

import java.util.List;

/**
 * @author xuanxuan
 */
public interface MAppService {

    /**
     * 查询用于展示的展厅vo列表
     *
     * @param app 展厅
     * @return 展厅vo
     */
    List<MAppVo> selectShowAppVoList(MApp app);

    /**
     * 根据用户id查询展厅列表
     *
     * @param userId 用户id
     * @return 展厅
     */
    List<MApp> selectAppListByUserId(Long userId);

    /**
     * 查询展厅详情
     *
     * @param id 展厅主键
     * @return 展厅vo
     */
    MAppVo selectAppVoById(Long id);

    /**
     * 新增展厅
     *
     * @param app 展厅
     * @return 结果
     */
    boolean insertApp(MApp app);

    /**
     * 修改展厅
     *
     * @param app 展厅
     * @return 结果
     */
    boolean updateApp(MApp app);

    /**
     * 新增展厅浏览量
     * @param id
     */
    void incrementViewCount(Long id);
}
