package com.ruoyi.service;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.domain.MOrderDetails;
import com.ruoyi.domain.MOrders;
import com.ruoyi.domain.MTemplate;
import com.ruoyi.domain.vo.MOrdersVo;

import java.util.List;

/**
 * @author xuanxuan
 */
public interface MOrdersService {

    /**
     * 根据模板id查询模板
     */
    MTemplate selectTemplateById(Long templateId);

    /**
     * 创建订单
     */
    MOrdersVo createOrderVo(MOrders orders, List<MOrderDetails> detailList);

    /**
     * 根据用户id查询订单vo列表
     */
    List<MOrdersVo> selectOrderVoListByUserId(long userId);

    /***
     * 查询订单详情
     * @param userId 用户id
     * @param id 订单id
     * @return
     */
    MOrdersVo selectOrdersToCache(long userId, Long id);

    /**
     * 将redis数据持久化到数据库
     */
    void persistRedisCacheToDb();

    /**
     * 支付订单
     */
    AjaxResult payment(Long userId, Long orderId);


    /**
     * 给订单添加模板名称
     * @param orderVo
     * @return
     */
    MOrdersVo fillTemplateNames(MOrdersVo orderVo);
}
