package com.ruoyi.service;

import com.ruoyi.domain.MScene;

import java.util.List;

/**
 * @author xuanxuan
 */
public interface MSceneService {

    /**
     * 新增场景
     *
     * @param scene 场景
     * @return 结果
     */
    boolean insertScene(MScene scene);

    /**
     * 修改场景
     *
     * @param scene 场景
     * @return 结果
     */
    boolean updateScene(MScene scene);

    /**
     * 查询场景列表
     *
     * @param userId 用户id
     * @return 场景集合
     */
    List<MScene> selectSceneListByUserId(Long userId);

    /**
     * 查询场景列表
     *
     * @param appId 展厅id
     * @return 场景集合
     */
    List<MScene> selectSceneListByAppId(Long appId);

    /**
     * 查询场景
     *
     * @param id 场景主键
     * @return 场景
     */
    MScene selectSceneById(Long id);
}
