package com.ruoyi.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import java.util.concurrent.TimeUnit;
/**
 * @author xuanxuan
 * Redis 服务类，用于存储和获取验证码。
 */
@Service
public class RedisService {
    @Autowired
    private StringRedisTemplate redisTemplate;

    // 存储验证码，设置过期时间（5分钟）
    public void saveCode(String email, String code) {
        redisTemplate.opsForValue().set(email, code, 5, TimeUnit.MINUTES);
    }

    // 获取验证码
    public String getCode(String email) {
        return redisTemplate.opsForValue().get(email);
    }

    // 删除验证码
    public void deleteCode(String email) {
        redisTemplate.delete(email);
    }
}
