package com.ruoyi.service;

import com.ruoyi.domain.MUser;
import com.ruoyi.domain.vo.MRechargeVO;

/**
 * @author xuanxuan
 */

public interface UserService {
    //用户注册
    boolean registerUser(MUser user);

    // 用户登录
    boolean userLogin(MUser user);

    //邮箱注册
    boolean emailRegister(MUser user);

    //邮箱登录
    boolean emailLogin(MUser user);

    //邮箱密码注册
    boolean emailPWDRegister(MUser user);

    //判断用户是否存在
    boolean isUserExist(MUser user);

    /**
     *
     * @param id 用户id
     * @return 用户对象
     */
    MUser getUserInfo(Long id);

    /**
     *
     * @param user 用户对象
     * @return 结果
     */
    boolean updateUserInfo(MUser user);

    /**
     * 修改密码
     * @param userId 用户id
     * @param oldPassword 旧密码
     * @param newPassword 新密码
     * @return
     */
    boolean changePassword(Long userId, String oldPassword, String newPassword);

    /**
     * 余额充值
     * @param rechargeVO
     */
    void recharge(MRechargeVO rechargeVO);
}
