package com.ruoyi.service.impl;


import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.domain.MApp;
import com.ruoyi.domain.MUser;
import com.ruoyi.domain.vo.MAppVo;
import com.ruoyi.mapper.MAppMapper;
import com.ruoyi.mapper.UserMapper;
import com.ruoyi.service.MAppService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class AppServiceImpl implements MAppService {

    @Autowired
    private MAppMapper appMapper;
    @Autowired
    private UserMapper userMapper;

    /**
     * 查询展厅vo列表
     *
     * @param app 展厅
     * @return 展厅vo
     */
    @Override
    public List<MAppVo> selectShowAppVoList(MApp app) {
        return appMapper.selectShowAppList(app);
    }

    /**
     * 根据用户id查询展厅列表
     *
     * @param userId 用户id
     * @return 展厅
     */
    @Override
    public List<MApp> selectAppListByUserId(Long userId) {
        return appMapper.selectAppListByUserId(userId);
    }

    /**
     * 查询展厅详情
     *
     * @param id 展厅主键
     * @return 展厅vo
     */
    @Override
    public MAppVo selectAppVoById(Long id) {
        MApp app = appMapper.selectAppById(id);
        MUser user = userMapper.selectUserById(app.getUserId());
        return new MAppVo(app,user);
    }

    /**
     * 新增展厅
     *
     * @param app 展厅
     * @return 结果
     */
    @Override
    public boolean insertApp(MApp app) {
        return appMapper.insertApp(app) > 0;
    }

    /**
     * 修改展厅
     *
     * @param app 展厅
     * @return 结果
     */
    @Override
    public boolean updateApp(MApp app) {
        return appMapper.updateApp(app) > 0;
    }

    /**
     * 增加浏览量
     * @param id 展厅id
     */
    @Override
    public void incrementViewCount(Long id) {
        appMapper.incrementViewCount(id);
    }
}
