package com.ruoyi.service.impl;

import com.ruoyi.domain.MArticle;
import com.ruoyi.domain.MTemplate;
import com.ruoyi.mapper.MArticleMapper;
import com.ruoyi.service.MArticleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class MArticleServiceImpl implements MArticleService {

    @Autowired
    private MArticleMapper articleMapper;
    /**
     * 查询文章列表
     *
     * @param article 文章
     * @return 文章
     */
    @Override
    public List<MArticle> selectArticleList(MArticle article)
    {
        return articleMapper.selectArticleList(article);
    }

    /**
     * 查询文章详情
     *
     * @param id 文章id
     * @return 文章想详细信息
     */
    @Override
    public MArticle selectArticleById(Long id) {
        return articleMapper.selectArticleById(id);
    }

    /**
     * 增加文章浏览量
     * @param id 文章id
     */
    @Override
    public void incrementViewCount(Long id) {
        articleMapper.incrementViewCount(id);
    }
}
