package com.ruoyi.service.impl;

import com.ruoyi.domain.MApp;
import com.ruoyi.domain.MFavorites;
import com.ruoyi.mapper.MFavoritesMapper;
import com.ruoyi.service.MFavoritesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class MFavoritesServiceImpl implements MFavoritesService {

    @Autowired
    private MFavoritesMapper favoritesMapper;
    /**
     * 新增收藏
     *
     * @param favorites 收藏对象
     * @return 结果
     */
    public boolean insertFavorites(MFavorites favorites) {
        return favoritesMapper.insertFavorites(favorites) > 0;
    }

    /**
     * 查询收藏列表
     *
     * @param userId 用户id
     * @return 结果
     */
    @Override
    public List<MFavorites> selectFavoritesList(Long userId) {
        return favoritesMapper.selectFavoritesList(userId);
    }

    /***
     * 删除收藏
     * @param favorites 收藏夹id,模板id
     * @return 结果
     */
    @Override
    public boolean deleteFavorites(MFavorites favorites) {
        return favoritesMapper.deleteFavorites(favorites) > 0;
    }

    /***
     *  根据用户id查询收藏模板id
     * @param userId 用户id
     * @return 模板id
     */
    @Override
    public List<Long> selectFavoriteTemplateIdsByUser(long userId) {
        return favoritesMapper.selectFavoriteTemplateIdsByUser(userId);
    }

    /***
     * 查询是否已经收藏
     * @param favorites 用户id,模板id
     * @return
     */
    @Override
    public MFavorites selectFavoriteByUserIdAndTemplateId(MFavorites favorites) {
        return favoritesMapper.selectFavoriteByUserIdAndTemplateId(favorites);
    }

}
