package com.ruoyi.service.impl;

import com.ruoyi.domain.MFeedback;
import com.ruoyi.mapper.MFeedbackMapper;
import com.ruoyi.service.MFeedbackService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class MFeedbackServiceImpl implements MFeedbackService {

    @Autowired
    private MFeedbackMapper feedbackMapper;

    /**
     * 新增反馈
     *
     * @param feedback 反馈对象
     * @return 结果
     */
    @Override
    public boolean insertFeedback(MFeedback feedback) {
        return feedbackMapper.insertFeedback(feedback);
    }

    /**
     * 根据用户id查询反馈列表
     *
     * @param userId 反馈
     * @return 结果
     */
    @Override
    public List<MFeedback> selectMFeedbackByUserId(long userId) {
        return feedbackMapper.selectMFeedbackByUserId(userId);
    }

    /**
     * 根据id查询反馈列表
     *
     * @param id 反馈
     * @return 结果
     */
    @Override
    public List<MFeedback> selectMFeedbackById(Long id) {
        return feedbackMapper.selectMFeedbackById(id);
    }
}
