package com.ruoyi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.domain.MTemplateLog;
import com.ruoyi.mapper.MTemplateLogMapper;
import com.ruoyi.service.MTemplateLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class MTemplateLogServiceImpl implements MTemplateLogService {

    @Autowired
    private MTemplateLogMapper templateLogMapper;
    /**
     * 新增购买模板记录
     *
     * @param templateLog 购买模板记录
     * @return 结果
     */
    @Override
    public boolean insertTemplateLog(MTemplateLog templateLog) {
        templateLog.setCreateTime(DateUtils.getNowDate());
        return templateLogMapper.insertTemplateLog(templateLog) > 0;
    }

    /**
     * 查询购买模板记录列表
     *
     * @param templateLog 购买模板记录
     * @return 购买模板记录
     */
    @Override
    public List<MTemplateLog> selectTemplateLogList(MTemplateLog templateLog) {
        return templateLogMapper.selectTemplateLogList(templateLog);
    }

    /**
     * 根据用户id查询购买模板记录列表
     *
     * @param userId 用户主键
     * @return 购买模板记录
     */
    @Override
    public List<MTemplateLog> selectTemplateLogListByUserId(Long userId) {
        return templateLogMapper.selectTemplateLogListByUserId(userId);
    }

    /**
     * 查询购买模板记录
     *
     * @param id 购买模板记录主键
     * @return 购买模板记录
     */
    @Override
    public MTemplateLog selectTemplateLogById(Long id) {
        return templateLogMapper.selectTemplateLogById(id);
    }
}
