package com.ruoyi.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.domain.MTemplate;
import com.ruoyi.mapper.MTemplateMapper;
import com.ruoyi.service.MTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author xuanxuan
 */
@Service
public class MTemplateServiceImpl implements MTemplateService {

    @Autowired
    private MTemplateMapper templateMapper;

    /**
     * 根据展厅模板id查询展厅模板
     *
     * @param id 展厅模板主键
     * @return 展厅模板
     */
    @Override
    public MTemplate selectTemplateById(Long id) {
        return templateMapper.selectTemplateById(id);
    }

    /**
     * 查询展示的展厅模板列表
     *
     * @param template 展厅模板
     * @return 展厅模板
     */
    @Override
    public List<MTemplate> selectShowTemplateList(MTemplate template) {
        return templateMapper.selectShowTemplateList(template);
    }

    /**
     * 修改展厅模板
     *
     * @param template 展厅模板
     * @return 结果
     */
    @Override
    public boolean updateTemplate(MTemplate template) {
        template.setUpdateTime(DateUtils.getNowDate());
        return templateMapper.updateTemplate(template) > 0;
    }
}
