package com.ruoyi.util;

import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

/**
 * @author xuanxuan
 * 密码加密工具类
 */
public class PasswordUtils {

    private static final BCryptPasswordEncoder encoder = new BCryptPasswordEncoder();

    /**
     * 加密密码
     */
    public static String encryptPassword(String password) {
        return encoder.encode(password);
    }

    /**
     * 验证密码是否正确
     */
    public static boolean matchPassword(String rawPassword, String encodedPassword) {
        return encoder.matches(rawPassword, encodedPassword);
    }
}
